Module | ActiveMerchant::Billing::Integrations::ActionViewHelper
In: | lib/active_merchant/billing/integrations/action_view_helper.rb

### Methods

payment_service_for

### Public Instance methods

payment_service_for(order, account, options = {}) {|service| ...}

This helper allows the usage of different payment integrations through a single form helper. Payment integrations are the type of service where the user is redirected to the secure site of the service, like Paypal or Chronopay.

The helper creates a scope around a payment service helper which provides the specific mapping for that service.

     <% payment_service_for 1000, 'paypalemail@mystore.com',
                                  :amount => 50.00,
                                  :currency => 'CAD',
                                  :service => :paypal,
                                  :html => { :id => 'payment-form' } do |service| %>

       <% service.customer :first_name => 'Cody',
                          :last_name => 'Fauser',
                          :phone => '(555)555-5555',
                          :email => 'codyfauser@gmail.com' %>

       <% service.billing_address :city => 'Ottawa',
                                 :address1 => '21 Snowy Brook Lane',
                                 :address2 => 'Apt. 36',
                                 :state => 'ON',
                                 :country => 'CA',
                                 :zip => 'K1J1E5' %>

       <% service.invoice '#1000' %>
       <% service.shipping '0.00' %>
       <% service.tax '0.00' %>

       <% service.notify_url url_for(:only_path => false, :action => 'notify') %>
       <% service.return_url url_for(:only_path => false, :action => 'done') %>
       <% service.cancel_return_url 'http://mystore.com' %>
     <% end %>

[Validate]